thinkphp-migration数据库迁移工具

浏览:344 发布日期:2019/01/07 分类:系统代码
第三方维护的数据库迁移工具
要求ThinkPHP 5.1.*

本扩展与官方的区别是什么?

支持最新的phinx扩展,直接composer更新而不是固定死版本

为什么不直接使用phinx包?因为使用命令需要vendor\bin\phinx,还有配置文件也要自定义,本扩展已支持加载tp的数据库配置

由于tp内置的命令行选项是2个-的,所以我们的命令都会成 php think migrate:run --e dev 这样子的选项

安装composer require ke/thinkphp-migration dev-master扩展不支持直接放置extends目录,必须使用composer安装

[github]:https://github.com/wdaglb/thinkphp-migration
评论( 相关
后面还有条评论,点击查看>>